gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] 02/02: netzbon: currency length check


From: gnunet
Subject: [taler-deployment] 02/02: netzbon: currency length check
Date: Tue, 14 Mar 2023 12:13:43 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

commit c77865d1860795c78e3e689dc20c8a4bae0cb4f0
Author: Florian Dold <florian@dold.me>
AuthorDate: Tue Mar 14 12:13:30 2023 +0100

    netzbon: currency length check
---
 netzbon/main.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/netzbon/main.sh b/netzbon/main.sh
index 5848915..52f5f67 100755
--- a/netzbon/main.sh
+++ b/netzbon/main.sh
@@ -21,13 +21,21 @@ source config/internal.conf
 
 # Ask questions to user
 # START USER INTERACTION
-echo "TALER: Welcome to the GNU Taler Debian setup!"
+say "Welcome to the GNU Taler Debian setup!"
+say ""
+say "All configuration values asked during the setup script"
+say "can be changed in config/user.conf"
 
 if test -z "${CURRENCY:-}"
 then
     read -p "Enter the name of the currency (e.g. 'EUR'): " CURRENCY
     # convert to all-caps
     CURRENCY=`echo ${CURRENCY} | tr a-z A-Z`
+    # libeufin currenly doesn't like currency names less than 3 letters.
+    if [[ ${#CURRENCY} -lt 3 || ${#CURRENCY} -gt 11 ]]; then
+      say "Currency name must be between 3 and 10 letters"
+      exit 1
+    fi
     echo "CURRENCY=${CURRENCY}" >> config/user.conf
 fi
 if test -z "${BANK_NAME:-}"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]